package com.snack.server.module.seckill.enums;

import lombok.Getter;

/**
 * 抢购结果
 */
@Getter
public enum SeckillResultEnum {

    PENDING(0, "排队中"),
    SUCCESS(1, "抢购成功"),
    FAILED(2, "抢购失败");

    private final Integer code;
    private final String desc;

    SeckillResultEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
